Developers
API ReferenceReported Time Type

Replaces the ReportedTimeType resource.

PUT
/project/reported-time-types/{id}

Replaces the ReportedTimeType resource.

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

ReportedTimeType identifier

Request Body

The updated ReportedTimeType resource

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Lengthlength <= 100
isDefault?|
Defaultfalse
isPaid?|
Defaulttrue
isActive?|
Defaulttrue

Response Body

curl -X PUT "https://example.com/project/reported-time-types/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "isDefault": true,  "isPaid": true,  "isActive": true}